:root {
    --bears-primary-color: #00223c;
    --bears-secondary-color: #f46c11;
}

* {
    box-sizing: border-box;
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    font-weight: normal;
    margin: 0;
    padding: 0;
    text-decoration: none;
}

body {
    display: grid;
    grid-template-columns: 150px 1fr;
    grid-template-rows: 52px 1fr;
    height: 100vh;
    left: 0px;
    right: 0px;
    position: relative;
}

header {
    background-color: var(--bears-primary-color);
    color: #ffffff;
    grid-column: span 2;
    display: flex;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 100;
}

nav {
    background-color: #f1f1f1;
    height: 100%;
    top: 0;
    grid-row-start: 2;
}

main {
    width: 100%;
    height: 100%;
    border-radius: 5px;
    background-color: #f2f2f2;
}

h1 {
    font-size: 1.5em;
}

h2 {
    margin-bottom: 15px;
    margin-top: 15px;
}

h3 {
    color: gray;
    font-size: .8em;
    margin-top: -15px;
}

a {
    color: white;
}

.body-grid-columns {
    grid-template-columns: 50px !important;
}

.container {
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    padding: 10px;
    padding-right: 0px !important;
}

.fullImages {
    max-height: 60vh;
    max-width: 70vw;
}

.grid-block a {
    color: var(--bears-primary-color);
    display: grid;
    font-size: 1.5rem;
    height: 6.5em;
    place-content: center;
    text-align: center;
}

.grid-block a.active {
    color: white;
    background-color: var(--bears-primary-color);
}

.fa-solid {
    font-size: x-large;
}

.grid-block a.active>.fa-solid {
    color: var(--bears-secondary-color);
}

.grid-block a:hover {
    background-color: var(--bears-primary-color);
    color: #ffffff;
    transition: 0.25s;
}

.grid-block a:not(hover) {
    background-color: #f1f1f1;
    color: var(--bears-primary-color);
    transition: 0.25s;
}

.login-button {
    position: absolute;
    right: 20px;
}

.image-icon {
    border-radius: 17%;
    float: left;
    margin-right: 10px;
    position: relative;
    width: 32px;
}

.pointer {
    cursor: pointer;
}

input[type="submit"]:disabled,
input[type="button"]:disabled {
    background-color: lightblue !important;
}

input[type="submit"],
input[type="button"] {
    background-color: var(--bears-primary-color);
    border: none;
    color: white;
    cursor: pointer;
    padding: 0.8em 2em;
    text-align: center;
}

input[type="button"].blozoOption {
    background-color: #EA6854 !important;
    border-radius: 8px;
}

.default-button {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
}

.fa-bars {
    display: none !important;
    padding-left: 10px;
    padding-right: 10px;
    cursor: pointer;
}

.fa-trash,
.fa-pen-to-square,
.fa-arrow-up-right-from-square,
.fa-euro-sign,
.fa-magnifying-glass,
.fa-circle-info {
    height: 18px;
}

.fa-trash:hover,
.fa-pen-to-square:hover,
.fa-arrow-up-right-from-square:hover,
.fa-euro-sign:hover,
.fa-magnifying-glass,
.fa-circle-info {
    color: var(--bears-secondary-color);
    transition: 0.25s;
}

.fa-trash:not(:hover),
.fa-pen-to-square:not(:hover),
.fa-arrow-up-right-from-square:not(:hover),
.fa-euro-sign:not(:hover),
.fa-magnifying-glass:not(:hover),
.fa-circle-info:not(:hover) {
    color: var(--bears-primary-color);
    transition: 0.25s;
}

#configure-product:hover .fa-gears,
#new-order:hover .fa-cart-shopping,
#orders-and-requests:hover .fa-envelope,
#info-bemating:hover .fa-ruler-combined 
#portfolio:hover .fa-folder-open {
    color: var(--bears-secondary-color);
    transition: 0.25s;
}

#grid-block:hover .fa-gears,
#new-order:hover .fa-cart-shopping,
#orders-and-requests:hover .fa-envelope,
#info-bemating:hover .fa-ruler-combined,
#portfolio:hover .fa-folder-open {
    color: var(--bears-secondary-color);
    transition: 0.25s;
}

#windowtitle {
    margin-left: 10px;
}

#encapsulation {
    background-color: gray;
    position: fixed;
    height: 100%;
    width: 100%;
    opacity: 0.7;
    margin: -10px;
}

#encapsulationText {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;

    color: black;
    font-size: xxx-large;
    height: 100%;
    width: 100%;
    text-shadow: 1px white;
}

.green {
    color: green;
}

.orange {
    color: orange;
}

.red {
    color: red;
}

@media (max-width: 700px) {
    body {
        grid-template-columns: 0;
    }

    .grid-block a {
        height: 2.5em;
    }

    .disappearing {
        display: none;
    }

    .fa-bars {
        display: block !important;
    }
}

.grid-block-text {
    margin-bottom: 6px;
}

.alignRight {
    text-align: right !important;
}

.alignRight:before {
   content: "€";
   float: left;
   padding-right: 4px;
}

.attachmentTable i {
    min-width: 0px !important;
    border: none;
    font-size: medium !important;
}

.attachmentTable i:hover,
.attachmentTable i:focus {
  color: var(--bears-secondary-color);
  cursor: pointer;
  text-decoration: none;
}

#optionsForShowOnly {
    font-size:small;
}

.hideHack {
    margin-left: -1000px;
}